mainApp/urls.py
from django.contrib import admin
from rest_framework_simplejwt import views as jwt_views
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('restaurant.urls')),
    path('api-auth/', include('rest_framework.urls')),
    path('api/token/', jwt_views.TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/token/refresh/', jwt_views.TokenRefreshView.as_view(), name='token_refresh'),
]

restaurant/urls.py
from django.urls import path, include
from rest_framework import routers

from restaurant.views import CreateClient, ListClient, UpdateClient, DeleteClient, HomePageView, CreateWaiter, \
    ListWaiter, DeleteWaiter, CreateTypeProduct, ListTypeProduct, UpdateTypeProduct, DeleteTypeProduct, CreateProducts, \
    ListProducts, DeleteProducts, UpdateProducts, CreateTable, ListTable, UpdateTable, DeleteTable, CreateInvoice, \
    ListInvoice, UpdateInvoice, DeleteInvoice, CreateOrder, ListOrder, UpdateOrder, DeleteOrder, UpdateWaiter, \
    DetailViewInvoice, ClientViewSet, WaiterViewSet, TypeProductViewSet, ProductsViewSet, TableViewSet, InvoiceViewSet, \
    OrderViewSet

app_name = 'restaurant'

router = routers.DefaultRouter()
router.register(r'client', ClientViewSet)
router.register(r'waiter', WaiterViewSet)
router.register(r'type products', TypeProductViewSet)
router.register(r'products', ProductsViewSet)
router.register(r'table', TableViewSet)
router.register(r'invoice', InvoiceViewSet)
router.register(r'order', OrderViewSet)


urlpatterns = [
    path('', HomePageView.as_view(), name='home'),

    path('serializer/', include(router.urls), name='api'),

    # ---------------------------Urls Client--------------------------------
    path('create-client/', CreateClient.as_view(), name='create_client'),
    path('list-client/', ListClient.as_view(), name='list_client'),
    path('update-client/<int:pk>/', UpdateClient.as_view(), name='update_client'),
    path('delete-client/<int:pk>', DeleteClient.as_view(), name='delete_client'),

    # ---------------------------Urls Waiter--------------------------------
    path('create-waiter/', CreateWaiter.as_view(), name='create_waiter'),
    path('list-waiter/', ListWaiter.as_view(), name='list_waiter'),
    path('update-waiter/<int:pk>/', UpdateWaiter.as_view(), name='update_waiter'),
    path('delete-waiter/<int:pk>/', DeleteWaiter.as_view(), name='delete_waiter'),

    # ---------------------------Urls TypeProduct--------------------------------
    path('create-type/', CreateTypeProduct.as_view(), name='create_type'),
    path('list-type/', ListTypeProduct.as_view(), name='list_type'),
    path('update-type/<int:pk>/', UpdateTypeProduct.as_view(), name='update_type'),
    path('delete-type/<int:pk>/', DeleteTypeProduct.as_view(), name='delete_type'),

    # ---------------------------Urls Products--------------------------------
    path('create-products/', CreateProducts.as_view(), name='create_products'),
    path('list-products/', ListProducts.as_view(), name='list_products'),
    path('update-products/<int:pk>/', UpdateProducts.as_view(), name='update_products'),
    path('delete-products/<int:pk>/', DeleteProducts.as_view(), name='delete_products'),

    # ---------------------------Urls Table--------------------------------
    path('create-table/', CreateTable.as_view(), name='create_table'),
    path('list-table/', ListTable.as_view(), name='list_table'),
    path('update-table/<int:pk>/', UpdateTable.as_view(), name='update_table'),
    path('delete-table/<int:pk>/', DeleteTable.as_view(), name='delete_table'),

    # ---------------------------Urls Invoice--------------------------------
    path('create-invoice/', CreateInvoice.as_view(), name='create_invoice'),
    path('list-invoice/', ListInvoice.as_view(), name='list_invoice'),
    path('update-invoice/<int:pk>/', UpdateInvoice.as_view(), name='update_invoice'),
    path('delete-invoice/<int:pk>/', DeleteInvoice.as_view(), name='delete_invoice'),
    path('<int:pk>/', DetailViewInvoice.as_view(), name='detail_invoice'),

    # ---------------------------Urls Order--------------------------------
    path('create-order/', CreateOrder.as_view(), name='create_order'),
    path('list-order/', ListOrder.as_view(), name='list_order'),
    path('update-order/<int:pk>/', UpdateOrder.as_view(), name="update_order"),
    path('delete-order/<int:pk>/', DeleteOrder.as_view(), name="delete_order"),
]

templates/base.html
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{% block title %}{% endblock %}</title>
    <!-- CSS CDN core Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    {% block css-invoice %}{% endblock %}
    {% block css %}{% endblock %}
</head>
<body >
<header>
    <nav class="navbar navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'restaurant:home' %}">Di Florencia</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar"
                    aria-controls="offcanvasNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasNavbar"
                 aria-labelledby="offcanvasNavbarLabel">
                <div class="offcanvas-header">
                    <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Options</h5>
                    <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas"
                            aria-label="Close"></button>
                </div>
                <div class="offcanvas-body">
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item">
                            <a class="nav-link" href="http://127.0.0.1:8000/serializer/">Api</a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Client
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_client' %}">Create</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_client' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Waiter
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_waiter' %}">Create</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_waiter' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Type Products
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_type' %}">Create</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_type' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Products
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_products' %}">Create</a>
                                </li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_products' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Table
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_table' %}">Create</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_table' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Order
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_order' %}">Create</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_order' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="offcanvasNavbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Invoice
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="offcanvasNavbarDropdown">
                                <li><a class="dropdown-item" href="{% url 'restaurant:create_invoice' %}">Create</a>
                                </li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="{% url 'restaurant:list_invoice' %}">List</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </nav>
</header>
{% block content %}

{% endblock %}

<!--CDN FontAwesome -->
<script src="https://kit.fontawesome.com/aaa1d1b991.js" crossorigin="anonymous"></script>

<!-- CDN core -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"
        integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js"
        integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13"
        crossorigin="anonymous"></script>

</body>
</html>

templates/home.html
{% extends 'base.html' %}
{% load static %}
{% block css %}
    <link rel="stylesheet" href="{% static 'css/home.css' %}">
{% endblock %}
{% block title %} Home {% endblock %}

{% block content %}
    <div id="home">
        <div class="container h-50 w-50 p-3 mt-5">
            <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
                <div class="carousel-indicators">
                    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active"
                            aria-current="true" aria-label="Slide 1"></button>
                    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1"
                            aria-label="Slide 2"></button>
                    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2"
                            aria-label="Slide 3"></button>
                </div>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="{% static '/images/front.jpg' %}" class="d-block w-100" alt="Restaurant">
                        <div class="carousel-caption d-none d-md-block">
                            <h5>Di Florencia</h5>
                            <p>The good foot find it here.</p>
                        </div>
                    </div>
                    <div class="carousel-item">
                        <img src="../static/images/lateral.jpg" class="d-block w-100" alt="Waiter">
                        <div class="carousel-caption d-none d-md-block">
                            <h5>Di Florencia</h5>
                            <p>The good foot find it here.</p>
                        </div>
                    </div>
                    <div class="carousel-item">
                        <img src="../static/images/dish.jpg" class="d-block w-100" alt="Dish">
                        <div class="carousel-caption d-none d-md-block">
                            <h5>Di Florencia</h5>
                            <p>The good foot find it here.</p>
                        </div>
                    </div>
                </div>
                <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions"
                        data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions"
                        data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
            </div>
        </div>
    </div>
{% endblock %}